View Issue Details

IDProjectCategoryView StatusLast Update
0005949DarkRadiantGeneralpublic29.04.2022 17:36
ReporterFrost_Salamander Assigned Togreebo  
PrioritynormalSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version3.0.0 
Fixed in Version3.0.0 
Summary0005949: DR crash with combination of mouse buttons pressed
DescriptionDR version 3.0.0pre3 x64

DR will sometimes crash with an unhandled exception if you select and drag an object and then click/release the right mouse button.
Steps To Reproduce- select a model in your map using shift + click
- drag the model using the mouse with the left mouse button held down
- while still holding down the left mouse button, press and release the right mouse button
- sometimes DR will crash at this point

Sometimes I can reproduce this reliably using the above steps, and other times it just doesn't happen. Either way, it's happened to me about 10 times accidentally, usually when dragging an item. My middle finger which hovers over the right mouse button will twitch involuntarily and click the right mouse button accidentally and cause the crash.

 I've included a crash dump file from when it did happen.
Additional InformationCrash dump file: https://drive.protonmail.com/urls/M4HWDV0M70#zuJcNqoDVkqB
TagsNo tags attached.

Activities

Frost_Salamander

Frost_Salamander

24.04.2022 11:09

reporter   ~0014813

video of crash occurring
greebo

greebo

24.04.2022 15:46

administrator   ~0014814

Thanks for the dump, it's helpful. Do you happen to have the darkradiant.log file around, from such a crashing session?
Frost_Salamander

Frost_Salamander

24.04.2022 15:59

reporter   ~0014815

yep I just got it to happen again - attached
darkradiant.log (62,885 bytes)   
2022-04-24 16:57:28 (16996) Started logging to C:/Users/timwe/AppData/Roaming/DarkRadiant/darkradiant.log
2022-04-24 16:57:28 (16996) This is DarkRadiant 3.0.0pre3 x64 
2022-04-24 16:57:28 (16996) Today is 2022-04-24 16:57:28
2022-04-24 16:57:28 (16996) ModuleRegistry instantiated.
2022-04-24 16:57:28 (16996) Module registered: RadiantCore
2022-04-24 16:57:28 (16996) Current language setting: en
2022-04-24 16:57:28 (16996) Found 2 language folders.
2022-04-24 16:57:28 (16996) Module registered: CameraWndManager
2022-04-24 16:57:28 (16996) Module registered: Clipboard
2022-04-24 16:57:28 (16996) Module registered: EventManager
2022-04-24 16:57:28 (16996) Module registered: MouseToolManager
2022-04-24 16:57:28 (16996) Module registered: StartupMapLoader
2022-04-24 16:57:28 (16996) Module registered: LocalisationModule
2022-04-24 16:57:28 (16996) Module registered: DialogManager
2022-04-24 16:57:28 (16996) Module registered: UserInterfaceModule
2022-04-24 16:57:28 (16996) Module registered: FavouritesUserInterface
2022-04-24 16:57:28 (16996) Module registered: FilterUserInterface
2022-04-24 16:57:28 (16996) Module registered: wxGLWidgetManager
2022-04-24 16:57:28 (16996) Module registered: GridUserInterface
2022-04-24 16:57:28 (16996) Module registered: GroupDialogModule
2022-04-24 16:57:28 (16996) Module registered: MainFrame
2022-04-24 16:57:28 (16996) Module registered: MainFrameLayoutManager
2022-04-24 16:57:28 (16996) Module registered: MaterialEditor
2022-04-24 16:57:28 (16996) Module registered: MediaBrowser
2022-04-24 16:57:28 (16996) Module registered: MenuManager
2022-04-24 16:57:28 (16996) Module registered: EntityInspector
2022-04-24 16:57:28 (16996) Module registered: OrthoContextMenu
2022-04-24 16:57:28 (16996) Module registered: ScriptUserInterface
2022-04-24 16:57:28 (16996) Module registered: StatusBarManager
2022-04-24 16:57:28 (16996) Module registered: TextureBrowserManager
2022-04-24 16:57:28 (16996) Module registered: ToolBarManager
2022-04-24 16:57:28 (16996) Module registered: OrthoviewManager
2022-04-24 16:57:28 (16996) Module registered: Doom3BrushCreator
2022-04-24 16:57:28 (16996) Module registered: CameraManager
2022-04-24 16:57:28 (16996) Module registered: Clipper
2022-04-24 16:57:28 (16996) Module registered: FavouritesManager
2022-04-24 16:57:28 (16996) Module registered: EclassColourManager
2022-04-24 16:57:28 (16996) Module registered: EntityClassManager
2022-04-24 16:57:28 (16996) Module registered: EntityModule
2022-04-24 16:57:28 (16996) Module registered: FileTypes
2022-04-24 16:57:28 (16996) Module registered: FilterSystem
2022-04-24 16:57:28 (16996) Module registered: FontManager
2022-04-24 16:57:28 (16996) Module registered: Grid
2022-04-24 16:57:28 (16996) Module registered: ImageLoader
2022-04-24 16:57:28 (16996) Module registered: LayerModule
2022-04-24 16:57:28 (16996) Module registered: ZAasFileManager
2022-04-24 16:57:28 (16996) Module registered: Doom3AasFileLoader
2022-04-24 16:57:28 (16996) Module registered: Counters
2022-04-24 16:57:28 (16996) Module registered: EditingStopwatch
2022-04-24 16:57:28 (16996) Module registered: Map
2022-04-24 16:57:28 (16996) Module registered: MapResourceManager
2022-04-24 16:57:28 (16996) Module registered: RegionManager
2022-04-24 16:57:28 (16996) Module registered: AutomaticMapSaver
2022-04-24 16:57:28 (16996) Module registered: Doom3MapLoader
2022-04-24 16:57:28 (16996) Module registered: Doom3PrefabLoader
2022-04-24 16:57:28 (16996) Module registered: MapFormatManager
2022-04-24 16:57:28 (16996) Module registered: Quake3MapLoader
2022-04-24 16:57:28 (16996) Module registered: Quake3AlternateMapLoader
2022-04-24 16:57:28 (16996) Module registered: Quake4MapLoader
2022-04-24 16:57:28 (16996) Module registered: class map::format::PortableMapFormat
2022-04-24 16:57:28 (16996) Module registered: MapInfoFileManager
2022-04-24 16:57:28 (16996) Module registered: MRUManager
2022-04-24 16:57:28 (16996) Module registered: NamespaceFactory
2022-04-24 16:57:28 (16996) Module registered: MD5Module
2022-04-24 16:57:28 (16996) Module registered: MD5AnimationCache
2022-04-24 16:57:28 (16996) Module registered: ModelCache
2022-04-24 16:57:28 (16996) Module registered: ModelFormatManager
2022-04-24 16:57:28 (16996) Module registered: PicoModelModule
2022-04-24 16:57:28 (16996) Module registered: ParticlesManager
2022-04-24 16:57:28 (16996) Module registered: PatchModule
2022-04-24 16:57:28 (16996) Module registered: CommandSystem
2022-04-24 16:57:28 (16996) Module registered: OpenGL
2022-04-24 16:57:28 (16996) Module registered: ShaderCache
2022-04-24 16:57:28 (16996) Module registered: RenderSystemFactory
2022-04-24 16:57:28 (16996) Module registered: SharedGLContextHolder
2022-04-24 16:57:28 (16996) Module registered: SceneGraph
2022-04-24 16:57:28 (16996) Module registered: SceneGraphFactory
2022-04-24 16:57:28 (16996) Module registered: SelectionGroupModule
2022-04-24 16:57:28 (16996) Module registered: SelectionSystem
2022-04-24 16:57:28 (16996) Module registered: SelectionSetModule
2022-04-24 16:57:28 (16996) Module registered: ShaderClipboard
2022-04-24 16:57:28 (16996) Module registered: TextureToolColourSchemeManager
2022-04-24 16:57:28 (16996) Module registered: TextureToolSceneGraph
2022-04-24 16:57:28 (16996) Module registered: TextureToolSelectionSystem
2022-04-24 16:57:28 (16996) Module registered: ColourSchemeManager
2022-04-24 16:57:28 (16996) Module registered: GameManager
2022-04-24 16:57:28 (16996) Module registered: PreferenceSystem
2022-04-24 16:57:28 (16996) Module registered: MaterialManager
2022-04-24 16:57:28 (16996) Module registered: ModelSkinCache
2022-04-24 16:57:28 (16996) Module registered: UndoSystemFactory
2022-04-24 16:57:28 (16996) Module registered: VersionControlManager
2022-04-24 16:57:28 (16996) Module registered: VirtualFileSystem
2022-04-24 16:57:28 (16996) Module registered: XMLRegistry
2022-04-24 16:57:28 (16996) ModuleRegistry Compatibility Level is 20211014
2022-04-24 16:57:28 (16996) ModuleLoader: loading modules from C:/programs/dr3/modules/
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/modules/DarkRadiantCore.dll'
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/modules/script.dll'
2022-04-24 16:57:28 (16996) Module registered: ScriptingSystem
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/modules/sound.dll'
2022-04-24 16:57:28 (16996) Module registered: SoundManager
2022-04-24 16:57:28 (16996) ModuleLoader: loading modules from C:/programs/dr3/plugins/
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.conversation.dll'
2022-04-24 16:57:28 (16996) Module registered: ConversationEditor
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.difficulty.dll'
2022-04-24 16:57:28 (16996) Module registered: DifficultyEditor
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.editing.dll'
2022-04-24 16:57:28 (16996) Module registered: DarkMod Editing
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.gameconnection.dll'
2022-04-24 16:57:28 (16996) Module registered: GameConnection
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.gui.dll'
2022-04-24 16:57:28 (16996) Module registered: GUI Editing
2022-04-24 16:57:28 (16996) Module registered: GuiManager
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.objectives.dll'
2022-04-24 16:57:28 (16996) Module registered: ObjectivesEditor
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/dm.stimresponse.dll'
2022-04-24 16:57:28 (16996) Module registered: StimResponseEditor
2022-04-24 16:57:28 (16996) ModuleLoader: Loading module 'C:/programs/dr3/plugins/vcs.dll'
2022-04-24 16:57:28 (16996) Module registered: GitIntegration
2022-04-24 16:57:28 (16996) XMLRegistry::initialiseModule called
2022-04-24 16:57:28 (16996) XMLRegistry: looking for XML files in C:/programs/dr3/
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/user.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/colours.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/input.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/menu.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/commandsystem.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/Users/timwe/AppData/Roaming/DarkRadiant/3.0/user.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/Users/timwe/AppData/Roaming/DarkRadiant/3.0/colours.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/Users/timwe/AppData/Roaming/DarkRadiant/3.0/input.xml
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/Users/timwe/AppData/Roaming/DarkRadiant/3.0/filters.xml
2022-04-24 16:57:28 (16996) CommandSystem::initialiseModule called.
2022-04-24 16:57:28 (16996) FileTypes::initialiseModule called.
2022-04-24 16:57:28 (16996) PreferenceSystem::initialiseModule called
2022-04-24 16:57:28 (16996) VirtualFileSystem::initialiseModule called
2022-04-24 16:57:28 (16996) GameManager: Scanning for game description files: C:/programs/dr3/games/
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/darkmod.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/doom3-demo.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/doom3.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/prey.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/quake3.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/quake4.game
2022-04-24 16:57:28 (16996) XMLRegistry: Importing XML file: C:/programs/dr3/games/xreal.game
2022-04-24 16:57:28 (16996) GameManager: Found game definitions: 
2022-04-24 16:57:28 (16996)   Doom 3
2022-04-24 16:57:28 (16996)   Doom 3 Demo
2022-04-24 16:57:28 (16996)   Prey
2022-04-24 16:57:28 (16996)   Quake 3
2022-04-24 16:57:28 (16996)   Quake 4
2022-04-24 16:57:28 (16996)   The Dark Mod 2.0 (Standalone)
2022-04-24 16:57:28 (16996)   XreaL
2022-04-24 16:57:28 (16996) 
2022-04-24 16:57:28 (16996) GameManager: Selected game type: The Dark Mod 2.0 (Standalone)
2022-04-24 16:57:28 (16996) GameManager: Map path set to C:/games/darkmod/fms/dmx/maps/
2022-04-24 16:57:28 (16996) GameManager: Prefab path set to C:/games/darkmod/fms/dmx/prefabs/
2022-04-24 16:57:28 (16996) Initialising filesystem using 2 paths 
2022-04-24 16:57:28 (16996) VFS Search Path priority is: 
2022-04-24 16:57:28 (16996) - C:/games/darkmod/fms/dmx/
2022-04-24 16:57:28 (16996) - C:/games/darkmod/
2022-04-24 16:57:28 (16996) Allowed PK4 Archive File Extensions: pk4
2022-04-24 16:57:28 (16996) [vfs] Searched directory: C:/games/darkmod/fms/dmx/
2022-04-24 16:57:28 (16996) [vfs] Searched directory: C:/games/darkmod/
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_wood01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_window01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_stone_sculpted01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_stone_natural01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_stone_flat01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_stone_cobblestones01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_stone_brick01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_sfx01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_roof01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_plaster01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_paint_paper01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_other01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_nature01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_metal01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_glass01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_fabric01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_door01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_decals01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_carpet01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_textures_base01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_standalone.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals_decls01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals07.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals06.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals05.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals04.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals03.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals02.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_vocals01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_sfx02.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_sfx01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_ambient_decls01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_ambient03.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_ambient02.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_sound_ambient01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_prefabs01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_player01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_models_decls01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_models02.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_models01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_gui_credits01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_gui01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_fonts01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_env01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_defs01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_base01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_steambots01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_monsters_spiders01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_undead01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_townsfolk01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_pagans01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_nobles01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_mages01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_heads01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_guards01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_females01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_builders01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_beasts02.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_humanoid_beasts01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_base01.pk4
2022-04-24 16:57:28 (16996) [vfs] pak file: C:/games/darkmod/tdm_ai_animals01.pk4
2022-04-24 16:57:28 (16996) MapInfoFileManager::initialiseModule called.
2022-04-24 16:57:28 (16996) MapFormatManager::initialiseModule called.
2022-04-24 16:57:28 (16996) Doom3MapLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) MapResourceManager::initialiseModule called.
2022-04-24 16:57:28 (16996) SceneGraph::initialiseModule called
2022-04-24 16:57:28 (16996) Map::initialiseModule called.
2022-04-24 16:57:28 (16996) AutomaticMapSaver::initialiseModule called.
2022-04-24 16:57:28 (16996) CameraManager::initialiseModule called.
2022-04-24 16:57:28 (16996) EventManager::initialiseModule called.
2022-04-24 16:57:28 (16996) EventManager successfully initialised.
2022-04-24 16:57:28 (16996) EclassColourManager::initialiseModule called.
2022-04-24 16:57:28 (16996) EntityClassManager::initialiseModule called.
2022-04-24 16:57:28 (16996) GroupDialogModule::initialiseModule called
2022-04-24 16:57:28 (16996) MainFrameLayoutManager::initialiseModule called.
2022-04-24 16:57:28 (16996) MaterialManager::initialiseModule called
2022-04-24 16:57:28 (16996) SharedGLContextHolder::initialiseModule called.
2022-04-24 16:57:28 (16996) ShaderCache::initialiseModule called.
2022-04-24 16:57:28 (16996) StatusBarManager::initialiseModule called.
2022-04-24 16:57:28 (16996) OrthoviewManager::initialiseModule called.
2022-04-24 16:57:28 (23156) [eclassmgr] attribute editor_usage already set on entityclass atdm:env_ragdoll_citywatch_elite
2022-04-24 16:57:28 (16996) MainFrame::initialiseModule called.
2022-04-24 16:57:28 (16996) CameraWndManager::initialiseModule called.
2022-04-24 16:57:28 (16996) Clipboard::initialiseModule called.
2022-04-24 16:57:28 (16996) Clipper::initialiseModule called
2022-04-24 16:57:28 (16996) ColourSchemeManager::initialiseModule called.
2022-04-24 16:57:28 (16996) ColourSchemeManager: Loading colour schemes...
2022-04-24 16:57:28 (16996) MenuManager::initialiseModule called.
2022-04-24 16:57:28 (16996) ConversationEditor::initialiseModule called.
2022-04-24 16:57:28 (16996) GridManager::initialiseModule called.
2022-04-24 16:57:28 (16996) OpenGL::initialiseModule called.
2022-04-24 16:57:28 (16996) SelectionSystem::initialiseModule called.
2022-04-24 16:57:28 (16996) DarkMod Editing::initialiseModule called.
2022-04-24 16:57:28 (16996) DialogManager::initialiseModule called.
2022-04-24 16:57:28 (16996) DifficultyEditor::initialiseModule called.
2022-04-24 16:57:28 (16996) ZAasFileManager::initialiseModule called.
2022-04-24 16:57:28 (16996) Doom3AasFileLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) BrushModuleImpl::initialiseModule called.
2022-04-24 16:57:28 (16996) Doom3PrefabLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) EditingStopwatch::initialiseModule called.
2022-04-24 16:57:28 (16996) EntityModule::initialiseModule called.
2022-04-24 16:57:28 (23156) [eclassmgr] attribute inherit already set on entityclass atdm:moveable_staff_decorative
2022-04-24 16:57:28 (16996) FavouritesUserInterface::initialiseModule called.
2022-04-24 16:57:28 (16996) [filters] Loaded 18 filters from registry.
2022-04-24 16:57:28 (16996) FilterUserInterface::initialiseModule called.
2022-04-24 16:57:28 (16996) FontManager::initialiseModule called
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/andrew_script/fontImage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/andrew_script/fontImage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/andrew_script/fontImage_48.dat loaded successfully.
2022-04-24 16:57:28 (16996) GUI Editing::initialiseModule called.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/bamberg/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/bamberg/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/bamberg/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/camberic/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/camberic/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/camberic/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_bold/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_bold/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_bold/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_condensed/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_condensed/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_condensed/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_glow/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_glow/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carleton_glow/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carolingia/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carolingia/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/carolingia/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/chrishand/fontImage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/chrishand/fontImage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/chrishand/fontImage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/ellianerelle/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/ellianerelle/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/ellianerelle/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (16996) VersionControlManager::initialiseModule called.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/everett/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/everett/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/everett/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/gothica2/fontImage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/gothica2/fontImage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/gothica2/fontImage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/jd_hand/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/jd_hand/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/jd_hand/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/lotharus/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/lotharus/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/lotharus/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/mac_humaine/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (16996) GitIntegration::initialiseModule called.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/mac_humaine/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/mac_humaine/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/mason/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/mason_glow/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/medusa/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/medusa/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/medusa/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/nancy/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/nancy/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (16996) Opened repository at C:/games/darkmod/fms/dmx/
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/nancy/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/popsies/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (16996) Repository is currently on branch main
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/popsies/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/popsies/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/rapscallionpirate/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/rapscallionpirate/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/rapscallionpirate/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/shoppinglist/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/shoppinglist/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (16996) GridUserInterface::initialiseModule called.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/shoppinglist/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/stone/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/stone/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/summertime/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/summertime/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/summertime/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/treasure_map/fontimage_12.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/treasure_map/fontimage_24.dat loaded successfully.
2022-04-24 16:57:28 (11476) FontLoader: fonts/english/treasure_map/fontimage_48.dat loaded successfully.
2022-04-24 16:57:28 (11476) 25 fonts registered.
2022-04-24 16:57:28 (16996) GuiManager::initialiseModule called.
2022-04-24 16:57:28 (4332) [GuiManager]: Found 269 guis.
2022-04-24 16:57:28 (23156) [eclassmgr] attribute replace_anim_idle_sit_tap01 already set on entityclass atdm:prop_winebottle_sit_and_drink
2022-04-24 16:57:28 (16996) LayerModule::initialiseModule called.
2022-04-24 16:57:28 (16996) LocalisationModule::initialiseModule called
2022-04-24 16:57:28 (16996) MD5AnimationCache::initialiseModule called.
2022-04-24 16:57:28 (16996) ModelFormatManager::initialiseModule called.
2022-04-24 16:57:28 (16996) MRUManager::initialiseModule called.
2022-04-24 16:57:28 (16996) MaterialEditor::initialiseModule called.
2022-04-24 16:57:28 (16996) ShaderClipboard::initialiseModule called.
2022-04-24 16:57:28 (16996) MediaBrowser::initialiseModule called.
2022-04-24 16:57:28 (23156) [DeclParser] Parsed EntityDef declarations in 0.149499 seconds
2022-04-24 16:57:28 (4976) [DeclParser] Parsed Material declarations in 0.146499 seconds
2022-04-24 16:57:28 (4976) 4684 shader definitions found.
2022-04-24 16:57:28 (23156) [eclassmgr] Entity class atdm:damage_fireballdirect_major specifies unknown parent class atdm:damage_fireballDirect
2022-04-24 16:57:28 (23156) [eclassmgr] Entity class sprgs_decompress specifies unknown parent class sprGS_splash_small
2022-04-24 16:57:28 (23156) [eclassmgr] Entity class sprgs_recompress specifies unknown parent class sprGS_splash_small
2022-04-24 16:57:28 (16996) ModelCache::initialiseModule called.
2022-04-24 16:57:28 (16996) ModelSkinCache::initialiseModule called
2022-04-24 16:57:28 (16996) NamespaceFactory::initialiseModule called.
2022-04-24 16:57:28 (16996) ObjectivesEditorModule::initialiseModule called.
2022-04-24 16:57:28 (16996) ParticlesManager::initialiseModule called
2022-04-24 16:57:28 (16996) PatchModule::initialiseModule called.
2022-04-24 16:57:28 (16996) Quake3AlternateMapLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) Quake3MapLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) Quake4MapLoader: initialiseModule called.
2022-04-24 16:57:28 (16996) RegionManager::initialiseModule called.
2022-04-24 16:57:28 (16996) RenderSystemFactory::initialiseModule called.
2022-04-24 16:57:28 (16996) SceneGraphFactory::initialiseModule called.
2022-04-24 16:57:28 (16996) ScriptingSystem::initialiseModule called.
2022-04-24 16:57:28 (16996) Registering darkradiant module to Python using pybind11 version 2.9.2
2022-04-24 16:57:28 (16996) SelectionGroupModule::initialiseModule called.
2022-04-24 16:57:28 (16996) SelectionSetModule::initialiseModule called.
2022-04-24 16:57:28 (16996) SoundManager: initialising sound playback
2022-04-24 16:57:28 (16996) StartupMapLoader::initialiseModule called.
2022-04-24 16:57:28 (16996) StimResponseEditor::initialiseModule called.
2022-04-24 16:57:28 (16996) TextureBrowserManager::initialiseModule called.
2022-04-24 16:57:28 (16996) TextureToolSceneGraph::initialiseModule called.
2022-04-24 16:57:28 (16996) TextureToolSelectionSystem::initialiseModule called.
2022-04-24 16:57:28 (16996) Found toolbar: view
2022-04-24 16:57:28 (16996) Found toolbar: edit
2022-04-24 16:57:28 (16996) Found toolbar: texture
2022-04-24 16:57:28 (16996) Found toolbar: textool
2022-04-24 16:57:28 (16996) UndoSystemFactory::initialiseModule called
2022-04-24 16:57:28 (16996) UserInterfaceModule::initialiseModule called.
2022-04-24 16:57:28 (16996) wxWidgets Version: 3.1.3
2022-04-24 16:57:28 (16996) Default screen has 3 monitors.
2022-04-24 16:57:28 (16996) Monitor 0 geometry: 1920x1080 at 7680, 0
2022-04-24 16:57:28 (16996) Monitor 1 geometry: 2560x1440 at 3840, 0
2022-04-24 16:57:28 (16996) Monitor 2 geometry: 2560x1440 at 0, 0
2022-04-24 16:57:28 (4976) [DeclParser] Parsed Particle declarations in 0.030499 seconds
2022-04-24 16:57:28 (4976) Found 280 particle definitions.
2022-04-24 16:57:28 (16996) class map::format::PortableMapFormat: initialiseModule called.
2022-04-24 16:57:28 (16996) wxGLWidgetManager::initialiseModule called.
2022-04-24 16:57:28 (23156) [DeclParser] Parsed Skin declarations in 0.056 seconds
2022-04-24 16:57:28 (23156) [skins] Found 1423 skins.
2022-04-24 16:57:28 (16996) ToolbarManager: Instantiating toolbar: view
2022-04-24 16:57:28 (16996) ToolbarManager: Instantiating toolbar: edit
2022-04-24 16:57:28 (4332) [DeclParser] Parsed SoundShader declarations in 0.0495019 seconds
2022-04-24 16:57:28 (4332) 3148 sound shaders found.
2022-04-24 16:57:28 (16996) MainFrame: Activating layout Dockable
2022-04-24 16:57:28 (16996) ToolbarManager: Instantiating toolbar: texture
2022-04-24 16:57:29 (16996) ToolbarManager: Instantiating toolbar: textool
2022-04-24 16:57:29 (16996) EventManager: Shortcuts found in Registry: 149
2022-04-24 16:57:29 (16996) Loading map from unnamed.map
2022-04-24 16:57:29 (16996) map load timer:  0.00 second(s) elapsed
2022-04-24 16:57:29 (16996) GL_VENDOR: NVIDIA Corporation
2022-04-24 16:57:29 (16996) GL_RENDERER: NVIDIA GeForce RTX 3060 Ti/PCIe/SSE2
2022-04-24 16:57:29 (16996) GL_VERSION: 4.6.0 NVIDIA 512.15
2022-04-24 16:57:29 (16996) GL_EXTENSIONS: GL_AMD_multi_draw_indirect GL_AMD_seamless_cubemap_per_texture GL_AMD_vertex_shader_viewport_index GL_AMD_vertex_shader_layer GL_ARB_arrays_of_arrays GL_ARB_base_instance GL_ARB_bindless_texture GL_ARB_blend_func_extended GL_ARB_buffer_storage GL_ARB_clear_buffer_object GL_ARB_clear_texture GL_ARB_clip_control GL_ARB_color_buffer_float GL_ARB_compatibility GL_ARB_compressed_texture_pixel_storage GL_ARB_conservative_depth GL_ARB_compute_shader GL_ARB_compute_variable_group_size GL_ARB_conditional_render_inverted GL_ARB_copy_buffer GL_ARB_copy_image GL_ARB_cull_distance GL_ARB_debug_output GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_derivative_control GL_ARB_direct_state_access GL_ARB_draw_buffers GL_ARB_draw_buffers_blend GL_ARB_draw_indirect GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_enhanced_layouts GL_ARB_ES2_compatibility GL_ARB_ES3_compatibility GL_ARB_ES3_1_compatibility GL_ARB_ES3_2_compatibility GL_ARB_explicit_attrib_location GL_ARB_explicit_uniform_location GL_ARB_fragment_coord_conventions GL_ARB_fragment_layer_viewport GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_fragment_shader_interlock GL_ARB_framebuffer_no_attachments GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_geometry_shader4 GL_ARB_get_program_binary GL_ARB_get_texture_sub_image GL_ARB_gl_spirv GL_ARB_gpu_shader5 GL_ARB_gpu_shader_fp64 GL_ARB_gpu_shader_int64 GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_imaging GL_ARB_indirect_parameters GL_ARB_instanced_arrays GL_ARB_internalformat_query GL_ARB_internalformat_query2 GL_ARB_invalidate_subdata GL_ARB_map_buffer_alignment GL_ARB_map_buffer_range GL_ARB_multi_bind GL_ARB_multi_draw_indirect GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_occlusion_query2 GL_ARB_parallel_shader_compile GL_ARB_pipeline_statistics_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_polygon_offset_clamp GL_ARB_post_depth_coverage GL_ARB_program_interface_query GL_ARB_provoking_vertex GL_ARB_query_buffer_object GL_ARB_robust_buffer_access_behavior GL_ARB_robustness GL_ARB_sample_locations GL_ARB_sample_shading GL_ARB_sampler_objects GL_ARB_seamless_cube_map GL_ARB_seamless_cubemap_per_texture GL_ARB_separate_shader_objects GL_ARB_shader_atomic_counter_ops GL_ARB_shader_atomic_counters GL_ARB_shader_ballot GL_ARB_shader_bit_encoding GL_ARB_shader_clock GL_ARB_shader_draw_parameters GL_ARB_shader_group_vote GL_ARB_shader_image_load_store GL_ARB_shader_image_size GL_ARB_shader_objects GL_ARB_shader_precision GL_ARB_shader_storage_buffer_object GL_ARB_shader_subroutine GL_ARB_shader_texture_image_samples GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shader_viewport_layer_array GL_ARB_shading_language_420pack GL_ARB_shading_language_include GL_ARB_shading_language_packing GL_ARB_shadow GL_ARB_sparse_buffer GL_ARB_sparse_texture GL_ARB_sparse_texture2 GL_ARB_sparse_texture_clamp GL_ARB_spirv_extensions GL_ARB_stencil_texturing GL_ARB_sync GL_ARB_tessellation_shader GL_ARB_texture_barrier GL_ARB_texture_border_clamp GL_ARB_texture_buffer_object GL_ARB_texture_buffer_object_rgb32 GL_ARB_texture_buffer_range GL_ARB_texture_compression GL_ARB_texture_compression_bptc GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_cube_map_array GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_filter_anisotropic GL_ARB_texture_filter_minmax GL_ARB_texture_float GL_ARB_texture_gather GL_ARB_texture_mirror_clamp_to_edge GL_ARB_texture_mirrored_repeat GL_ARB_texture_multisample GL_ARB_texture_non_power_of_two GL_ARB_texture_query_levels GL_ARB_texture_query_lod GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_texture_rgb10_a2ui GL_ARB_texture_stencil8 GL_ARB_texture_storage GL_ARB_texture_storage_multisample GL_ARB_texture_swizzle GL_ARB_texture_view GL_ARB_timer_query GL_ARB_transform_feedback2 GL_ARB_transform_feedback3 GL_ARB_transform_feedback_instanced GL_ARB_transform_feedback_overflow_query GL_ARB_transpose_matrix GL_ARB_uniform_buffer_object GL_ARB_vertex_array_bgra GL_ARB_vertex_array_object GL_ARB_vertex_attrib_64bit GL_ARB_vertex_attrib_binding GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_vertex_type_10f_11f_11f_rev GL_ARB_vertex_type_2_10_10_10_rev GL_ARB_viewport_array GL_ARB_window_pos GL_ATI_draw_buffers GL_ATI_texture_float GL_ATI_texture_mirror_once GL_S3_s3tc GL_EXT_texture_env_add GL_EXT_abgr GL_EXT_bgra GL_EXT_bindable_uniform GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_compiled_vertex_array GL_EXT_Cg_shader GL_EXT_depth_bounds_test GL_EXT_direct_state_access GL_EXT_draw_buffers2 GL_EXT_draw_instanced GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXTX_framebuffer_mixed_formats GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_multiview_texture_multisample GL_EXT_multiview_timer_query GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_packed_pixels GL_EXT_pixel_buffer_object GL_EXT_point_parameters GL_EXT_polygon_offset_clamp GL_EXT_post_depth_coverage GL_EXT_provoking_vertex GL_EXT_raster_multisample GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_shader_objects GL_EXT_separate_specular_color GL_EXT_shader_image_load_formatted GL_EXT_shader_image_load_store GL_EXT_shader_integer_mix GL_EXT_shadow_funcs GL_EXT_sparse_texture2 GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture3D GL_EXT_texture_array GL_EXT_texture_buffer_object GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_latc GL_EXT_texture_compression_rgtc GL_EXT_texture_compression_s3tc GL_EXT_texture_cube_map GL_EXT_texture_edge_clamp GL_EXT_texture_env_combine GL_EXT_texture_env_dot3 GL_EXT_texture_filter_anisotropic GL_EXT_texture_filter_minmax GL_EXT_texture_integer GL_EXT_texture_lod GL_EXT_texture_lod_bias GL_EXT_texture_mirror_clamp GL_EXT_texture_object GL_EXT_texture_shadow_lod GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_R8 GL_EXT_texture_sRGB_decode GL_EXT_texture_storage GL_EXT_texture_swizzle GL_EXT_timer_query GL_EXT_transform_feedback2 GL_EXT_vertex_array GL_EXT_vertex_array_bgra GL_EXT_vertex_attrib_64bit GL_EXT_window_rectangles GL_EXT_import_sync_object GL_IBM_rasterpos_clip GL_IBM_texture_mirrored_repeat GL_KHR_context_flush_control GL_KHR_debug GL_EXT_memory_object GL_EXT_memory_object_win32 GL_NV_memory_object_sparse GL_EXT_win32_keyed_mutex GL_KHR_parallel_shader_compile GL_KHR_no_error GL_KHR_robust_buffer_access_behavior GL_KHR_robustness GL_EXT_semaphore GL_EXT_semaphore_win32 GL_NV_timeline_semaphore GL_KHR_shader_subgroup GL_KTX_buffer_region GL_NV_alpha_to_coverage_dither_control GL_NV_bindless_multi_draw_indirect GL_NV_bindless_multi_draw_indirect_count GL_NV_bindless_texture GL_NV_blend_equation_advanced GL_NV_blend_equation_advanced_coherent GL_NVX_blend_equation_advanced_multi_draw_buffers GL_NV_blend_minmax_factor GL_NV_blend_square GL_NV_clip_space_w_scaling GL_NV_command_list GL_NV_compute_program5 GL_NV_compute_shader_derivatives GL_NV_conditional_render GL_NV_conservative_raster GL_NV_conservative_raster_dilate GL_NV_conservative_raster_pre_snap GL_NV_conservative_raster_pre_snap_triangles GL_NV_conservative_raster_underestimation GL_NV_copy_depth_to_color GL_NV_copy_image GL_NV_depth_buffer_float GL_NV_depth_clamp GL_NV_draw_texture GL_NV_draw_vulkan_image GL_NV_ES1_1_compatibility GL_NV_ES3_1_compatibility GL_NV_explicit_multisample GL_NV_feature_query GL_NV_fence GL_NV_fill_rectangle GL_NV_float_buffer GL_NV_fog_distance GL_NV_fragment_coverage_to_color GL_NV_fragment_program GL_NV_fragment_program_option GL_NV_fragment_program2 GL_NV_fragment_shader_barycentric GL_NV_fragment_shader_interlock GL_NV_framebuffer_mixed_samples GL_NV_framebuffer_multisample_coverage GL_NV_geometry_shader4 GL_NV_geometry_shader_passthrough GL_NV_gpu_program4 GL_NV_internalformat_sample_query GL_NV_gpu_program4_1 GL_NV_gpu_program5 GL_NV_gpu_program5_mem_extended GL_NV_gpu_program_fp64 GL_NV_gpu_shader5 GL_NV_half_float GL_NV_light_max_exponent GL_NV_memory_attachment GL_NV_mesh_shader GL_NV_multisample_coverage GL_NV_multisample_filter_hint GL_NV_occlusion_query GL_NV_packed_depth_stencil GL_NV_parameter_buffer_object GL_NV_parameter_buffer_object2 GL_NV_path_rendering GL_NV_path_rendering_shared_edge GL_NV_pixel_data_range GL_NV_point_sprite GL_NV_primitive_restart GL_NV_primitive_shading_rate GL_NV_query_resource GL_NV_query_resource_tag GL_NV_register_combiners GL_NV_register_combiners2 GL_NV_representative_fragment_test GL_NV_sample_locations GL_NV_sample_mask_override_coverage GL_NV_scissor_exclusive GL_NV_shader_atomic_counters GL_NV_shader_atomic_float GL_NV_shader_atomic_float64 GL_NV_shader_atomic_fp16_vector GL_NV_shader_atomic_int64 GL_NV_shader_buffer_load GL_NV_shader_storage_buffer_object GL_NV_shader_subgroup_partitioned GL_NV_shader_texture_footprint GL_NV_shading_rate_image GL_NV_stereo_view_rendering GL_NV_texgen_reflection GL_NV_texture_barrier GL_NV_texture_compression_vtc GL_NV_texture_dirty_tile_map GL_NV_texture_env_combine4 GL_NV_texture_multisample GL_NV_texture_rectangle GL_NV_texture_rectangle_compressed GL_NV_texture_shader GL_NV_texture_shader2 GL_NV_texture_shader3 GL_NV_transform_feedback GL_NV_transform_feedback2 GL_NV_uniform_buffer_unified_memory GL_NV_vertex_array_range GL_NV_vertex_array_range2 GL_NV_vertex_attrib_integer_64bit GL_NV_vertex_buffer_unified_memory GL_NV_vertex_program GL_NV_vertex_program1_1 GL_NV_vertex_program2 GL_NV_vertex_program2_option GL_NV_vertex_program3 GL_NV_viewport_array2 GL_NV_viewport_swizzle GL_NVX_conditional_render GL_NVX_linked_gpu_multicast GL_NV_gpu_multicast GL_NVX_gpu_multicast2 GL_NVX_progress_fence GL_NVX_gpu_memory_info GL_NVX_multigpu_info GL_NVX_nvenc_interop GL_NV_shader_thread_group GL_NV_shader_thread_shuffle GL_KHR_blend_equation_advanced GL_KHR_blend_equation_advanced_coherent GL_OVR_multiview GL_OVR_multiview2 GL_SGIS_generate_mipmap GL_SGIS_texture_lod GL_SGIX_depth_texture GL_SGIX_shadow GL_SUN_slice_accum GL_WIN_swap_hint WGL_EXT_swap_control 
2022-04-24 16:57:29 (16996) [OpenGLRenderSystem] GLSL shading IS available.
2022-04-24 16:57:29 (16996) --- LoadMapFile ---
2022-04-24 16:57:29 (16996) unnamed.map
2022-04-24 16:57:29 (16996) 0 brushes
2022-04-24 16:57:29 (16996) 0 patches
2022-04-24 16:57:29 (16996) 0 entities
2022-04-24 16:57:29 (16996) DarkRadiant init.py called, this is Python 3.7.9 (tags/v3.7.9:13c94747c7, Aug 17 2020, 18:58:18) [MSC v.1900 64 bit (AMD64)]
2022-04-24 16:57:29 (16996) Registered script file commands/ase_export.py as aseExport
2022-04-24 16:57:29 (16996) Registered script file commands/ase_export_blend.py as aseExportBlend
2022-04-24 16:57:29 (16996) Registered script file commands/check_for_invalid_visportals.py as check_invalid_visportals
2022-04-24 16:57:29 (16996) Registered script file commands/count_loot.py as CountLoot
2022-04-24 16:57:29 (16996) Registered script file commands/example.py as Example
2022-04-24 16:57:29 (16996) Registered script file commands/export_obj.py as objExport
2022-04-24 16:57:29 (16996) Registered script file commands/find_duplicate_entities.py as findDuplicateEntities
2022-04-24 16:57:29 (16996) Registered script file commands/patchsplitter.py as SplitPatch
2022-04-24 16:57:29 (16996) Registered script file commands/select_all_models_of_type.py as SelectAllModelsOfType
2022-04-24 16:57:29 (16996) Registered script file commands/shift_textures_randomly.py as ShiftTexturesRandomly
2022-04-24 16:57:29 (16996) Registered script file commands/shift_textures_upwards_randomly.py as ShiftTexturesUpwardsRandomly
2022-04-24 16:57:29 (16996) Registered script file commands/test_targets.py as test_targets
2022-04-24 16:57:29 (16996) ScriptModule: Found 12 commands.
2022-04-24 16:57:29 (16996) [OpenGLRenderSystem] GLSL shading IS available.
2022-04-24 16:57:30 (16272) Auto-saving registry to user settings path.
2022-04-24 16:57:35 (16996) Loading map from C:/games/darkmod/fms/dmx/maps/dmx.map
2022-04-24 16:57:35 (16996) Open file C:/games/darkmod/fms/dmx/maps/dmx.map from filesystem...success.
2022-04-24 16:57:35 (16996) Using Doom 3 format to load the data.
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_shortsword' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_blackjack' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_blackjack' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_blackjack' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_shortsword' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:35 (16996) [AttachmentData] Entity 'atdm:weapon_shortsword' tries to attach 'meleeweap_r' at non-existent position ''
2022-04-24 16:57:36 (16996) Open file C:/games/darkmod/fms/dmx/maps/dmx.darkradiant from filesystem...success.
2022-04-24 16:57:36 (16996) Parsing info file...
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed map editing time.
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed layer #0 with name Default
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed layer #1 with name trees
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed layer #2 with name roof
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed layer #3 with name prefabs
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #2 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #20 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #32 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #33 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #34 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #37 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #38 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #40 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #43 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #53 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #56 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #57 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #325 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #328 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #329 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #330 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #331 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #334 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #336 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #337 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #710 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #711 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #712 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #717 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #721 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #888 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #902 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #953 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1283 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1306 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1310 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1314 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1315 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1317 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1318 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1319 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1320 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1327 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1329 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1330 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1333 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1336 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1337 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1338 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1342 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1343 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1344 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1347 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1348 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1349 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1351 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1352 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1354 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1355 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1358 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1359 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1360 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1365 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1366 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1367 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1375 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1376 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1380 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1381 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1382 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1385 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1389 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1390 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1391 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1392 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1393 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1397 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1398 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1400 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1401 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1402 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1409 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1410 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1414 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1415 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1416 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1418 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1420 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1423 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1427 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1428 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1431 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1432 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1433 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1434 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1435 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1436 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1438 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1441 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1442 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1443 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1444 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1445 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1446 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1449 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1450 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1452 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1453 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1456 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1457 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1458 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1461 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1462 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1463 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1464 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1469 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1473 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1476 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1478 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1479 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1480 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1488 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1489 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1490 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1494 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1497 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1499 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1515 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1516 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1517 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1518 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1519 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1520 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1521 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1522 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1534 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1535 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1538 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1540 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1541 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1542 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1543 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1544 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1545 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1546 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1547 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1550 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1552 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1557 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1558 with name ""
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed group #1559 with name ""
2022-04-24 16:57:36 (16996) Sanity-checking the layer assignments...done, had to fix 0 assignments.
2022-04-24 16:57:36 (16996) [InfoFile]: Parsed 4 map properties.
2022-04-24 16:57:36 (16996) map load timer:  1.12 second(s) elapsed
2022-04-24 16:57:36 (16996) Stage keyword not recognised: portalrendermap
2022-04-24 16:57:36 (16996) Stage keyword not recognised: screen
2022-04-24 16:57:36 (16996) Error parsing mirrorRenderMap. Expected two integers: invalid stoi argument
2022-04-24 16:57:36 (16996) Stage keyword not recognised: 0.5
2022-04-24 16:57:36 (16996) Stage keyword not recognised: ,
2022-04-24 16:57:36 (16996) Stage keyword not recognised: 0.5
2022-04-24 16:57:36 (16996) ShaderLibrary: definition not found: window_side_2
2022-04-24 16:57:36 (16996) ShaderLibrary: definition not found: Default
2022-04-24 16:57:36 (16272) Auto-saving registry to user settings path.
2022-04-24 16:57:37 (16996) Read 576130 seconds of total map editing time.
2022-04-24 16:57:37 (16996) --- LoadMapFile ---
2022-04-24 16:57:37 (16996) C:/games/darkmod/fms/dmx/maps/dmx.map
2022-04-24 16:57:37 (16996) 2019 brushes
2022-04-24 16:57:37 (16996) 429 patches
2022-04-24 16:57:37 (16996) 1027 entities
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:49 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:50 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
2022-04-24 16:57:52 (16996) Unhandled Exception: Cannot render unprepared slot, ensure calling SurfaceRenderer::prepareForRendering first
darkradiant.log (62,885 bytes)   
greebo

greebo

24.04.2022 16:38

administrator   ~0014816

Perfect, thank you

Related Changesets

DarkRadiant: master 879e0954

2022-04-29 04:58:37

greebo

Details Diff
0005949: Show the exception message to the user while we have a chance to. Affected Issues
0005949
mod - radiant/RadiantApp.cpp Diff File

DarkRadiant: master 81bce098

2022-04-29 14:29:36

greebo

Details Diff
0005949: Prepare all shaders for rendering, even the ones that are not matching the current view type.
Reason is, StaticModelNodes might render highlights through a shader that is not exactly matching the view, and choosing the correct one is a bit inconvenient here.
Affected Issues
0005949
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File

DarkRadiant: master 54cd1b69

2022-04-29 17:23:06

greebo

Details Diff
0005949: Don't update the renderable geometry in StaticModelNode::_onTransformationChanged() if nothing has changed Affected Issues
0005949
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File

DarkRadiant: master 8c4caad6

2022-04-29 17:36:23

greebo

Details Diff
0005949: Update the renderables whenever the contained model applies the scale to its surfaces.
This fixes the model renderables not reacting to undo/redo calls that are directly issued to the StaticModel instance, not the owning node.
Affected Issues
0005949
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File

Issue History

Date Modified Username Field Change
24.04.2022 11:01 Frost_Salamander New Issue
24.04.2022 11:02 Frost_Salamander Reproducibility always => sometimes
24.04.2022 11:09 Frost_Salamander Note Added: 0014813
24.04.2022 11:09 Frost_Salamander File Added: bandicam 2022-04-24 12-05-51-854.mp4
24.04.2022 15:46 greebo Status new => acknowledged
24.04.2022 15:46 greebo Note Added: 0014814
24.04.2022 15:59 Frost_Salamander Note Added: 0014815
24.04.2022 15:59 Frost_Salamander File Added: darkradiant.log
24.04.2022 16:38 greebo Note Added: 0014816
24.04.2022 16:38 greebo Status acknowledged => confirmed
29.04.2022 04:47 greebo Product Version => 3.0.0
29.04.2022 17:01 greebo Assigned To => greebo
29.04.2022 17:01 greebo Status confirmed => assigned
29.04.2022 17:36 greebo Changeset attached => DarkRadiant master 879e0954
29.04.2022 17:36 greebo Changeset attached => DarkRadiant master 81bce098
29.04.2022 17:36 greebo Changeset attached => DarkRadiant master 54cd1b69
29.04.2022 17:36 greebo Changeset attached => DarkRadiant master 8c4caad6
29.04.2022 17:36 greebo Status assigned => resolved
29.04.2022 17:36 greebo Resolution open => fixed
29.04.2022 17:36 greebo Fixed in Version => 3.0.0